> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rootly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves an alert re-trigger rule



## OpenAPI

````yaml https://rootly-heroku.s3.amazonaws.com/swagger/v1/swagger.json get /v1/alert_retrigger_rules/{id}
openapi: 3.0.1
info:
  title: Rootly API v1
  version: v1
  license:
    name: Rootly
    url: https://rootly.com
  description: >+
    # How to generate an API Key?

    - **Organization dropdown** > **Organization Settings** > **API Keys**


    # JSON:API Specification

    Rootly is using **JSON:API** (https://jsonapi.org) specification:

    - JSON:API is a specification for how a client should request that resources
    be fetched or modified, and how a server should respond to those requests.

    - JSON:API is designed to minimize both the number of requests and the
    amount of data transmitted between clients and servers. This efficiency is
    achieved without compromising readability, flexibility, or discoverability.

    - JSON:API requires use of the JSON:API media type
    (**application/vnd.api+json**) for exchanging data.


    # Authentication and Requests

    We use standard HTTP Authentication over HTTPS to authorize your requests.

    ```
      curl --request GET \
    --header 'Content-Type: application/vnd.api+json' \

    --header 'Authorization: Bearer YOUR-TOKEN' \

    --url https://api.rootly.com/v1/incidents

    ```


    <br/>


    # Rate limiting

    - There is a default limit of **5** **GET**, **HEAD**, and **OPTIONS** calls
    **per API key** every **60 seconds** (0 hours). The limit is calculated over
    a **0-hour sliding window** looking back from the current time. While the
    limit can be configured to support higher thresholds, you must first contact
    your **Rootly Customer Success Manager** to make any adjustments.

    - There is a default limit of **3** **POST**, **PUT**, **PATCH** or
    **DELETE** calls **per API key** every **60 seconds** (0 hours). The limit
    is calculated over a **0-hour sliding window** looking back from the current
    time. While the limit can be configured to support higher thresholds, you
    must first contact your **Rootly Customer Success Manager** to make any
    adjustments.

    - When rate limits are exceeded, the API will return a **429 Too Many
    Requests** HTTP status code with the response: `{"error": "Rate limit
    exceeded. Try again later."}`

    - **X-RateLimit headers** are included in every API response, providing
    real-time rate limit information:
      - **X-RateLimit-Limit** - The maximum number of requests permitted and the time window (e.g., "1000, 1000;window=3600" for 1000 requests per hour)
      - **X-RateLimit-Remaining** - The number of requests remaining in the current rate limit window
      - **X-RateLimit-Used** - The number of requests already made in the current window
      - **X-RateLimit-Reset** - The time at which the current rate limit window resets, in UTC epoch seconds

    # Pagination

    - Pagination is supported for all endpoints that return a collection of
    items.

    - Pagination is controlled by the **page** query parameter


    ## Example

    ```
      curl --request GET \
    --header 'Content-Type: application/vnd.api+json' \

    --header 'Authorization: Bearer YOUR-TOKEN' \

    --url https://api.rootly.com/v1/incidents?page[number]=1&page[size]=10

    ```

  x-logo:
    url: https://rootly-heroku.s3.us-east-1.amazonaws.com/swagger/v1/logo.png
servers:
  - url: https://api.rootly.com
security: []
paths:
  /v1/alert_retrigger_rules/{id}:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - AlertRetriggerRules
      summary: Retrieves an alert re-trigger rule
      operationId: getAlertRetriggerRule
      responses:
        '200':
          description: alert re-trigger rule found
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/alert_retrigger_rule_response'
      security:
        - bearer_auth: []
components:
  schemas:
    alert_retrigger_rule_response:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
              description: Unique ID of the alert_retrigger_rule
            type:
              type: string
              enum:
                - alert_retrigger_rules
            attributes:
              type: object
              allOf:
                - $ref: '#/components/schemas/alert_retrigger_rule'
          required:
            - id
            - type
            - attributes
        included:
          type: array
          items:
            $ref: '#/components/schemas/jsonapi_included_resource'
      required:
        - data
    alert_retrigger_rule:
      type: object
      properties:
        name:
          type: string
          description: A human-readable name for the rule
        match_mode:
          type: string
          description: Whether all or any of the conditions must match
          enum:
            - match-all-rules
            - match-any-rule
        timeout_minutes:
          type: integer
          nullable: true
          description: >-
            Minutes after acknowledgment to re-trigger. Null means never
            re-trigger.
        position:
          type: integer
          description: The position of the rule for ordering evaluation
        conditions:
          type: array
          description: The conditions for the rule
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
                description: Unique ID of the condition
              kind:
                type: string
                description: >-
                  The operand the condition matches on. Native operands
                  (urgency, source, service, group) match by record;
                  alert_field/payload match a field value.
                enum:
                  - urgency
                  - source
                  - service
                  - group
                  - alert_field
                  - payload
              operator:
                type: string
                description: >-
                  How the operand is compared. Native operands support
                  is_one_of/is_not_one_of/is_set/is_not_set; alert_field/payload
                  additionally support the string/regex operators.
                enum:
                  - is_one_of
                  - is_not_one_of
                  - is_set
                  - is_not_set
                  - contains
                  - does_not_contain
                  - starts_with
                  - ends_with
                  - matches_regex
              record_ids:
                type: array
                description: >-
                  For urgency/service/group/source conditions: the IDs of the
                  matched records (AlertUrgency, Service, Group, or
                  Alerts::Source).
                items:
                  type: string
                  format: uuid
              values:
                type: array
                description: >-
                  For source conditions: non-integration source aliases (e.g.
                  manual, api). For alert_field/payload conditions: the values
                  to compare against.
                items:
                  type: string
              property_field_name:
                type: string
                description: >-
                  For alert_field conditions: the alert field id. For payload
                  conditions: a JSON Path (e.g. $.priority).
            required:
              - id
              - kind
              - operator
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    jsonapi_included_resource:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
        attributes:
          type: object
          additionalProperties: true
        relationships:
          type: object
          additionalProperties: true
      required:
        - id
        - type
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer

````